Name: ldg-upgrade
Version: 1.3.4
Release: 1%{?dist}
Summary: LIGO Data Grid Client upgrade script
License: GPLv3+
Source0: http://software.ligo.org/lscsoft/source/%{name}-%{version}.tar.xz
URL: https://git.ligo.org/ldg/ldg-upgrade
Requires: python
BuildArch: noarch

%description
Script to upgrade LIGO Data Grid Client

%prep
%setup -q

%build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
install --mode=0755 ldg-upgrade ${RPM_BUILD_ROOT}/usr/bin/ldg-upgrade

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0755,root,root)
/usr/bin/ldg-upgrade

%changelog
* Thu Oct 20 2016 Adam Mercer <adam.mercer@ligo.org> 1.3.4-1
- add support for CentOS and RHEL
- point to correct URL for RHEL7 variants

* Mon Oct 19 2015 Adam Mercer <adam.mercer@ligo.org> 1.3.3-1
- use /usr/bin/python as the interpreter

* Sun Nov 23 2014 Adam Mercer <adam.mercer@ligo.org> 1.3.2-1
- correctly parse command line options on linux

* Mon Oct 27 2014 Adam Mercer <adam.mercer@ligo.org> 1.3.1-1
- packaging updates

* Mon Oct 20 2014 Adam Mercer <adam.mercer@ligo.org> 1.3.0-1
- initial Linux version
